%define api_version 2.1
%define pkg_name geronimo-ejb_%{api_version}_spec

Name:          geronimo-ejb-2.1-api
Version:       1.1
Release:       %mkrel 4
Summary:       Geronimo EJB Spec 2.1
Summary:       Geronimo CORBA 3.0 Spec
Group:         Development/Java
License:       ASL
URL:           http://geronimo.apache.org/
# svn export http://svn.apache.org/repos/asf/geronimo/specs/tags/geronimo-ejb_2.1_spec-1.1
Source0:       geronimo-ejb_2.1_spec-1.1-src-svn.tar.gz
Patch0:        geronimo-ejb-2.1-api-pom_xml.patch
BuildRequires: geronimo-jta
BuildRequires: geronimo-parent-poms
BuildRequires: geronimo-jta-1.0.1B-api
BuildRequires: java-devel
BuildRequires: junit
BuildRequires: jpackage-utils
BuildRequires: maven-compiler-plugin
BuildRequires: maven-install-plugin
BuildRequires: maven-jar-plugin
BuildRequires: maven-javadoc-plugin
BuildRequires: maven-local
BuildRequires: plexus-resources
Requires:      jpackage-utils
BuildArch:     noarch

%description
Geronimo EJB 2.1 Spec.

%package javadoc
Group:         Development/Java
Summary:       Javadoc for %{name}
Requires:      %{name} = %{version}-%{release} 
Requires:      jpackage-utils

%description javadoc
Geronimo EJB 2.1 Spec.

This package contains javadoc for %{name}.

%prep
%setup -q -n %{pkg_name}-%{version}
%patch0 -p0

%build
mvn-rpmbuild install javadoc:aggregate
 
%install
[ %{buildroot} != / ] && rm -rf %{buildroot}

mkdir -p %{buildroot}%{_javadir}
mkdir -p %{buildroot}%{_mavenpomdir}

install -m 644 target/%{pkg_name}-%{version}.jar \
  %{buildroot}%{_javadir}/geronimo-ejb-%{api_version}-api.jar

install -pm 644 pom.xml %{buildroot}%{_mavenpomdir}/JPP-geronimo-ejb-%{api_version}-api.pom
%add_maven_depmap JPP-geronimo-ejb-%{api_version}-api.pom geronimo-ejb-%{api_version}-api.jar

mkdir -p %{buildroot}%{_javadocdir}/geronimo-ejb-%{api_version}-api
cp -pr target/site/apidocs/* %{buildroot}%{_javadocdir}/geronimo-ejb-%{api_version}-api

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%{_javadir}/geronimo-ejb-2.1-api.jar
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*
%doc LICENSE.txt NOTICE.txt

%files javadoc
%{_javadocdir}/geronimo-ejb-2.1-api



%changelog
* Fri Oct 18 2013 luigiwalser <luigiwalser> 1.1-4.mga4
+ Revision: 516037
- BR maven-local for mvn-rpmbuild

  + umeabot <umeabot>
    - Mageia 4 Mass Rebuild

* Sat Jan 12 2013 dmorgan <dmorgan> 1.1-2.mga3
+ Revision: 356326
- Build with maven3

  + umeabot <umeabot>
    - Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Sep 06 2011 dmorgan <dmorgan> 1.1-1.mga2
+ Revision: 139100
- Add geronimo-jta-1.0.1B-api as buildrequire
- Adapt to mageia guidelines
- Fix Buildrequires

  + gil <gil>
    - imported package geronimo-ejb-2.1-api


* Tue Jul 19 2011 gil <gil> 1.1-0.%%mkrel
- initial rpm

